function matches = matchKeypoints(desc1, desc2, thresh)
% Each column of desc1 or desc2 is a 128-d descriptor vector of a keypoint.
% matches is a 2 x N array of indices that indicates which keypoints in
% desc1 match which keypoints in desc2. Not every keypoint will necessarily
% have a match, so N is not the same as the number of columns in desc1 or
% desc2.

% Note: Read Lowe's Keypoint matching, finding the closest keypoint is not
% sufficient to find a match. thresh is the theshold for a valid match.

% YOUR CODE HERE