  % in: 
  % voxel_projections -a num_cameras cell array of Nx1 projections of the voxel_corner voxel onto the respective image.
  % N will vary with each image according to the size of the voxel's projection 
  % images - a num_cameras cell array of 400x1 images from each camera 
  % occlusions - a num_cameras cell array of 400x1 occlusion masks 
  % threshold - the photoconsistency threshold lambda 
  % simga_0 - an empirical estimate of the sample standard deviation of a photoconsistent portion of the image 
  % out: 
  % pc - a boolean value indicating whether the voxel_projections are photoconsistent

function [pc] = photoconsistent(voxel_projections, images, occlusions, threshold, sigma_0) 
 % YOUR CODE HERE
 % END YOUR CODE
