  % in: 
  % voxel_corner - a 1x3 3D world coordinate of the voxel corner 
  % camera_matrices - a num_cameras cell array of 3x4 fully calibrated camera matrices  
  % images - a num_cameras cell array of 400x1 images from each camera 
  % grid_spacing - a scalar value which is the length and width of the voxel square  

  % out: 
  % projections - a num_cameras cell array of Nx1 projections of the
  % voxel_corner voxel onto the respective image. N will vary with each
  % image according to the size of the voxel's projection. Remember to 
  % truncate the projections (with floor()) so that they can be used to
  % index into the image 

function [projections] = voxel_projections (voxel_corner, camera_matrices, images, grid_spacing) 
 % YOUR CODE HERE
